Subject: Fatal error when upgrading to 6.2 beta 5
Description

After upgrading and completed the Upgrade Wizard successfully everything worked, but after clicking on the Language module the
following comes up and Im stuck....... (Not even deleting typo3temp/Cache solves my issue)

Fatal error: Uncaught exception 'TYPO3\Flow\Package\Exception\InvalidPackageStateException' with message 'Package
"filemetadata" is already registered.' in
/var/www/typo3_source/typo3_src-6.2.0beta5/typo3/sysext/core/Resources/PHP/TYPO3.Flow/Classes/TYPO3/Flow/Package/PackageManager.php:627 Stack trace: #0 /var/www/typo3_source/typo3_src-6.2.0beta5/typo3/sysext/core/Classes/Package/PackageManager.php(408): TYPO3\Flow\Package\P
eManager.php:627 Stack trace: #0
/var/www/typo3_source/typo3_src-6.2.0beta5/typo3/sysext/core/Classes/Package/PackageManager.php(408):
TYPO3\Flow\Package\PackageManager->registerPackage(Object(TYPO3\CMS\Core\Package\Package), false) #1
/var/www/typo3_source/typo3_src-6.2.0beta5/typo3/sysext/core/Classes/Package/PackageManager.php(386):
TYPO3\CMS\Core\Package\PackageManager->registerPackage(Object(TYPO3\CMS\Core\Package\Package), false) #2
/var/www/typo3_source/typo3_src-6.2.0beta5/typo3/sysext/core/Classes/Package/PackageManager.php(241):
TYPO3\CMS\Core\Package\PackageManager->registerPackagesFromConfiguration() #3
/var/www/typo3_source/typo3_src-6.2.0beta5/typo3/sysext/core/Classes/Package/PackageManager.php(118):
TYPO3\CMS\Core\Package\PackageManager in
/var/www/typo3_source/typo3_src-6.2.0beta5/typo3/sysext/core/Resources/PHP/TYPO3.Flow/Classes/TYPO3/Flow/Package/PackageManager.php on line 627
eManager.php on line 627

Related issues:
duplicates Core - Bug # 55905: In some matter the package manager duplicates ... Closed 2014-02-12

History
#1 - 2014-02-13 15:43 - Claus Harup

In PackageStates.php I found both:
'typo3.cms.filemetadata' => 
    array (
      'manifestPath' => '',
      'composerName' => 'typo3/cms/filemetadata',
      'state' => 'inactive',
      'packagePath' => 'typo3/sysext/filemetadata/',
      'classesPath' => 'Classes/',
    ),

And

'filemetadata' => 
    array (
      'manifestPath' => '',
      'composerName' => 'typo3/cms/filemetadata',
      'state' => 'inactive',
      'packagePath' => 'typo3/sysext/filemetadata/',
      'classesPath' => 'Classes/',
    ),

Removing the first solves my problem....... but am I doing the right thing?

#2 - 2014-02-13 17:04 - Markus Klein
- Status changed from New to Needs Feedback
- Priority changed from Must have to Should have
- Target version deleted (6.2.0)

Yes this is indeed a side effect of upgrading from a 6.2betaX to beta 5 we discovered recently.
Your solution is correct.

But as always, beta versions are not meant to be fully upgradeable within each of them, so things, like this, might break from time to time.

#3 - 2014-02-13 19:16 - Markus Klein
- Status changed from Needs Feedback to Closed

Duplicate of #55905. Continue there.
